Contents

GET /accounts/$USERNAME/transactions#

Retrieve a subset of transactions related to $USERNAME.

Request:

Query Parameters:
  • limitOptional. At most return the given number of results. Negative for descending by row_id, positive for ascending by row_id. Defaults to -20. Since v5.

  • offsetOptional. Starting row_id for pagination. Since v5.

  • timeout_msOptional. Timeout in milliseconds, for long-polling, to wait for at least one element to be shown. Only useful if limit is positive. Since protocol v5.

  • deltaOptional. Deprecated since v5. Use limit instead.

  • startOptional. Deprecated since v5. Use offset instead.

  • long_poll_msOptional. Deprecated since v5. Use timeout_ms instead.

Response:

200 OK:

The bank responds with an BankAccountTransactionsResponse object.

204 No content:

No transaction found.

401 Unauthorized:

Invalid or missing credentials.

403 Forbidden:

Missing rights.

404 Not found:

The account pointed by $USERNAME was not found.

Details:

interface BankAccountTransactionsResponse {
  transactions: BankAccountTransactionInfo[];
}